/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.HomePage__lead {
    text-align: center;
}
.HomePage__lead__head {
    font-weight: 200;
    font-size: 2em;
    margin-bottom: 0;

    @include breakpoint(small) {
        font-size: 1.5em;
    }
}
.HomePage__lead__head__em {
    font-weight: 700;
    font-style: italic;
}
.HomePage__lead__buttons {
    margin: 1em 0;

    @include breakpoint(xsmall) {
        flex-direction: column;
        border-radius: 0;
        display: flex;
        .button:first-child {
            border-radius: _size(border-radius) _size(border-radius) 0 0;
        }
        .button:last-child {
            border-radius: 0 0 _size(border-radius) _size(border-radius);
        }
    }
}

$perspective: 600px;
@mixin screen-border() {
    border: _size(border-radius) solid _palette(border);
    border-radius: _size(border-radius);
}

.HomePage__banner#banner {
    padding-bottom: 0;
}

.HomePage__lead__media {
    position: relative;
    text-align: center;
}

.HomePage__lead__media__content {
    @include screen-border();
    transition: box-shadow _duration(transition) ease-in-out;
    width: 50em;
    max-width: 80%;

    @include breakpoint(medium) {
        height: 15em;
        margin-bottom: 5em;
    }
    @include breakpoint(large) {
        height: 20em;
        margin-bottom: 7em;
    }
}
.HomePage__lead__media__content:hover {
    box-shadow: 0 0 50px opacify(_palette(border), 0.3);
}
.HomePage__lead__media__content:active {
    box-shadow: 0 0 20px _palette(border);
}

.HomePage__wrapper__screenshot--right {
    transform: perspective($perspective) rotateY(-30deg) scale(1.1);
    transform-origin: right center;
}
.HomePage__wrapper__screenshot--left {
    transform: perspective($perspective) rotateY(+30deg) scale(1.1);
    transform-origin: left center;
}
.HomePage__wrapper__screenshot {
    transition: all _duration(transition) ease-in-out;
    z-index: 1;
    @include screen-border();
}
.HomePage__wrapper__screenshot:hover {
    transform: scale(2);
    box-shadow: 0 0 10px black;
}
